#
# spec file for package libass (Version 0.9.11)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           libass
Version:        0.9.11
Release:        1.4
License:        GPLv2+
Summary:        Portable Library for SSA/ASS Subtitles Rendering
Url:            http://code.google.com/p/libass/
Group:          System/Libraries
Source:         %{name}-%{version}.tar.bz2
BuildRequires:  enca-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype2-devel
BuildRequires:  gcc-c++
BuildRequires:  libpng-devel
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Portable Library for SSA/ASS Subtitles Rendering.

%package -n libass4
License:        GPLv2+
Summary:        Portable Library for SSA/ASS Subtitles Rendering
Group:          Development/Libraries/C and C++

%description -n libass4
Portable Library for SSA/ASS Subtitles Rendering.

%package devel
License:        GPLv2+
Summary:        Portable Library for SSA/ASS Subtitles Rendering
Group:          Development/Libraries/C and C++
Requires:       enca-devel
Requires:       fontconfig-devel
Requires:       freetype2-devel
Requires:       glibc-devel
Requires:       libass4 = %{version}

%description devel
This package is needed if you want to develop / compile against libASS.

%prep
%setup -q

%build
%configure\
	--disable-static \
	--disable-shave
%{__make} %{?_smp_mflags} V=1

%install
%{__make} DESTDIR='%{buildroot}' install
%{__rm} -f %{buildroot}%{_libdir}/*.la

%post -n libass4 -p /sbin/ldconfig

%postun -n libass4 -p /sbin/ldconfig

%files -n libass4
%defattr(-, root, root)
%{_libdir}/*.so.4*

%files devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Fri Sep 10 2010 reddwarf@opensuse.org
- Update to version 0.9.11
  * Fix serious memory leaks
  * Reduce frame/drawing initialization overhead
  * Basic (incorrect, but working) support for @font vertical text layout
  * Fix multiple faces per font attachment
  * charmap selection fixes
  * Add ass_flush_events API function
  * Improve fullname font matching
  * Better PAR correction if text transforms are used
  * Calculate drawing bounding box like VSFilter
  * Performance improvements
  * Cache vector clip masks
  * Avoid unnecessary glyph copies
  * Various rendering fixes
  * Parse numbers in a locale-independent way
  * Remove support for freetype < 2.2.1, fontconfig < 2.4.1; this especially
  means libass will not extract fonts into the file system anymore
  * Disable script file size limit
  * Match fonts against the full name ("name for humans")
  * Reset clip mode after \iclip
  * Improve VSFilter compatibility
  * Update API documentation
  * A couple of smaller fixes and cleanups
  * Support \q override tag
  * Support wrap style 1 (i.e. wrap, but do not equalize line lengths)
  * Support border style 3 (opaque box)
  * Use the event bounding box (instead of vertical position and height) for
  collision detection
  * Embold glyphs if no bold variant is available, but was requested
  * Modify \fax to be similar to VSFilter
  * Trim spaces after line wrapping
  * Fix border/shadow overlap combining in some cases
  * Disable kerning by default.  Use "Kerning=yes" style override or
  "Kerning: yes" in [Script Info] to enable it
  * Slight bitmap handling optimizations
  * Various bugfixes
* Sat Sep 26 2009 cmorve69@yahoo.es
- Remove unneeded autoreconf
- Correct license tag
- Make build more verbose so checking tools can do its work
* Tue Aug 11 2009 sbrabec@suse.cz
- New SuSE package, version 0.9.7.
- Name and split according to shared library packaging policy.
* Sat Mar 21 2009 cmorve69@yahoo.es
- and now to the OBS
- update to 0.9.6
* Thu Sep 18 2008 detlef@links2linux.de
- initial build for PackMan to be compatible with vlc-repo
* Tue Aug 26 2008 dominique-rpm@leuenberger.net
- Initial package for version 0.9.5
